Submitted By:            Igor Živković <contact@igor-zivkovic.from.hr>
Date:                    2013-10-17
Initial Package Version: 2.3.3.4
Upstream Status:         Reported
Origin:                  Debian
Description:             Fixed building and installing of contribs-lib if specified by config.

diff -Naur clucene-2.3.3.4.orig/CMakeLists.txt clucene-2.3.3.4/CMakeLists.txt
--- clucene-2.3.3.4.orig/CMakeLists.txt	2013-10-17 11:32:30.064546492 +0200
+++ clucene-2.3.3.4/CMakeLists.txt	2013-10-17 11:33:58.559550441 +0200
@@ -163,7 +163,7 @@
   SET(BUILD_CONTRIBS_LIB 1)
 ENDIF ( BUILD_CONTRIBS )
 IF ( BUILD_CONTRIBS_LIB )
-  ADD_SUBDIRECTORY (src/contribs-lib EXCLUDE_FROM_ALL)
+  ADD_SUBDIRECTORY (src/contribs-lib)
 ENDIF ( BUILD_CONTRIBS_LIB )
 
 
diff -Naur clucene-2.3.3.4.orig/src/contribs-lib/CMakeLists.txt clucene-2.3.3.4/src/contribs-lib/CMakeLists.txt
--- clucene-2.3.3.4.orig/src/contribs-lib/CMakeLists.txt	2013-10-17 11:32:30.076546493 +0200
+++ clucene-2.3.3.4/src/contribs-lib/CMakeLists.txt	2013-10-17 11:33:58.560550441 +0200
@@ -106,9 +106,26 @@
 )
 TARGET_LINK_LIBRARIES(clucene-contribs-lib ${clucene_contrib_extra_libs})
 
+#install public headers.
+FOREACH(file ${HEADERS})
+	get_filename_component(apath ${file} PATH)
+	get_filename_component(aname ${file} NAME)
+	file(RELATIVE_PATH relpath ${CMAKE_SOURCE_DIR}/src/contribs-lib ${apath})
+	IF ( NOT aname MATCHES "^_.*" )
+		install(FILES ${file} 
+		        DESTINATION include/${relpath}
+		        COMPONENT development)
+	ENDIF ( NOT aname MATCHES "^_.*" )
+ENDFOREACH(file)
+
 #set properties on the libraries
 SET_TARGET_PROPERTIES(clucene-contribs-lib PROPERTIES
     VERSION ${CLUCENE_VERSION}
     SOVERSION ${CLUCENE_SOVERSION}
     COMPILE_DEFINITIONS_DEBUG _DEBUG
 )
+
+#and install library
+install(TARGETS clucene-contribs-lib 
+        DESTINATION ${LIB_DESTINATION}  
+        COMPONENT runtime )
